| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::TonemapMantiuk Class Referenceabstract
Computational Photography » HDR imaging

This algorithm transforms image to contrast using gradients on all levels of gaussian pyramid, transforms contrast values to HVS response and scales the response. After this the image is reconstructed from new contrast values. More...

`#include <opencv2/photo.hpp>`

Collaboration diagram for cv::TonemapMantiuk:

## Public Member Functions
virtual float | getSaturation () const =0
virtual float | getScale () const =0
virtual void | setSaturation (float saturation)=0
virtual void | setScale (float scale)=0
Public Member Functions inherited from cv::Tonemap
virtual float | getGamma () const =0
virtual void | process (InputArray src, OutputArray dst)=0
| Tonemaps image.
virtual void | setGamma (float gamma)=0
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage.
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

This algorithm transforms image to contrast using gradients on all levels of gaussian pyramid, transforms contrast values to HVS response and scales the response. After this the image is reconstructed from new contrast values.

For more information see [182] .

## Member Function Documentation

## ◆ getSaturation()

virtual float cv::TonemapMantiuk::getSaturation | ( |  | ) | const
| pure virtual

Python:
| cv.TonemapMantiuk.getSaturation( |  | ) -> | retval

## ◆ getScale()

virtual float cv::TonemapMantiuk::getScale | ( |  | ) | const
| pure virtual

Python:
| cv.TonemapMantiuk.getScale( |  | ) -> | retval

## ◆ setSaturation()

virtual void cv::TonemapMantiuk::setSaturation | ( | float | saturation | ) |
| pure virtual

Python:
| cv.TonemapMantiuk.setSaturation( | saturation | ) -> | None

## ◆ setScale()

virtual void cv::TonemapMantiuk::setScale | ( | float | scale | ) |
| pure virtual

Python:
| cv.TonemapMantiuk.setScale( | scale | ) -> | None

The documentation for this class was generated from the following file:

- opencv2/photo.hpp